;;;-*- Mode: Lisp; Encoding: (win32:code-page :id 1251) -*-
;;; Ystok-Widgets - LispWorks CAPI-based GUI framework
;;; Copyright (c) 2003-2012 Dr. Dmitriy Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Russian translations of hard-wired strings

(in-package :ystok.widgets)

;(defnative "All"	"")
;(defnative "None"	" ")
(defnative "Apply"	"")
(defnative "Revert"	"")
(defnative "Abort"	"")

(defnative "Input some value"	"   - .")
(defnative "Notification"	"")
(defnative "Confirm operation"	" ")
(defnative "Warning"		"")
(defnative "&Do not show this dialog any longer"
           "    &")

(defnative "Do you really want to exit?"
           "     ?")

;;; Bulk

(defnative "Yes to &All" "  &")
(defnative "N&o to All"  "  &")

(defnative "(Cancel) Do not perform bulk operation for the rest of
        the objects or records."
	   "()      
          .")

;;; Menus and toolbars

(defnative "File" "")
(defnative "New"  "")
(defnative "Open" "")
(defnative "Load" "")

(defnative "Save"	  "")
(defnative "Save &as..."  " &...")
(defnative "Save as"	  " ")		; tooltip

(defnative "document" "")

(defnative "Print"    "")
(defnative "Output ~a directly to default printer."
           " ~a   .")

(defnative "Preview"  "")
(defnative "Show ~a on screen in printer-ready form."
           " ~a      .")

(defnative "E&xit..."	"&...")

(defnative "Edit"      "")
(defnative "E&rase"    "&")
(defnative "Delete"    "")
(defnative "Delete..." "...")

#-lispworks4.3 (defnative "&Undo"	"&")
#-lispworks4.3 (defnative "Cu&t"	"&")
#-lispworks4.3 (defnative "&Copy"	"&")
#-lispworks4.3 (defnative "&Paste"	"&")
#-lispworks4.3 (defnative "Select &All" " &")
#-lispworks4.3 (defnative "Comp&lete"   "&")

#+lispworks4.3 (defnative "Undo"	"")
#+lispworks4.3 (defnative "Cut"		"")
#+lispworks4.3 (defnative "Copy"	"")
#+lispworks4.3 (defnative "Paste"	"")
#+lispworks4.3 (defnative "Select All"	" ")
#+lispworks4.3 (defnative "Complete"	"")

(defnative "Complete text automatically or pop up a choice window."
           "         .")

(defnative "All files"	" ")

(defnative "View"	"")
(defnative "Tools"	"")
(defnative "Settings"	"")

(defnative "Window"	"")
(defnative "Windows"	"")
(defnative "Close"	"")
;(defnative "Minimize"	"  ")
(defnative "Hide"	"")
(defnative "Hide from the screen and taskbar but do not destroy."
           "      ,   .")
(defnative "Refresh"	"")
(defnative "Update window or recalculate document, maybe by requering database."
           "     , ,     .")

(defnative "Help"  "")
(defnative "About" "O ")

;;; Errors

(defnative "Report bug..."	"  ...")

(defnative "Select a restart~@[ - ~a~]"
           "  ~@[ - ~a~]")
(defnative "~@[Pane \"~a\":~2%~]~a" "~@[ \"~a\":~2%~]~a")

(defnative "~@[Pane \"~a\":~2%~]~a~@[~2%OK -- ~a~]"
           "~@[ \"~a\":~2%~]~a~@[~2%OK -- ~a~]")
;(defnative "Select a restart"	"  ")

(defnative "Pane ~s is not nullable - some value is required."
           " ~s    .")
(defnative "Pane ~s is not writeable or illegal input."
           "   ~s.")
(defnative "Typed text ~s does not match any item in the list~@[ ~s~]."
           "  ~s     ~@[ ~s~].")

(defnative "Ignore last modifications made to the pane."
           "   .")

(defnative "Operation~@[ '~a'~] is not available in this version."
           "~@[ '~a'~]     .")
(defnative "Operation~@[ '~a'~] is impossible~@[ for ~s~]~@[: ~a~]."
           "~@[ '~a'~] ~@[  ~s~]~@[: ~a~].")
(defnative "Completion function is undefined for pane or column~@[ ~s~]."
           "   ~@[ ~s~]    .")

(defnative "~@[~a~2%~]Context help is not implemented for ~s."
           "~@[~a~2%~]     ~s.")
(defnative "Open a detailed topic in the help viewer."	; Help button tooltip
           "    .")

;;; Progress dialog and meter

(defnative "Start"	     "")
(defnative "Initializing..." "...")
(defnative "In progress"     "")
(defnative "Stop"	     "")
(defnative "Stopping..."     "...")
