;;;-*- Mode: Lisp; Encoding: (win32:code-page :id 1251) -*-
;;; Ystok-Widgets - LispWorks CAPI-based GUI framework
;;; Copyright (c) 2003-2012 Dr. Dmitriy Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; LispWorks 5.0 compatible stuff

(in-package :capi)

#-lispworks4
(error "This code must not run on LispWorks 5.0 or later!")

;;; Colors used in ywdigets and ygrid
;;; All the color symbol are in the keyword package in LW5 and later.

(color:define-color-alias :color_3dface		#+win32 'win32:color_3dface
						#-win32 :lightgray)
(color:define-color-alias :color_3dhighlight	#+win32 'win32:color_3dhighlight
                                                #-win32 :lightgray)
(color:define-color-alias :color_3dshadow	#+win32 'win32:color_3dshadow
                                                #-win32 :black)
(color:define-color-alias :color_appworkspace	#+win32 'win32:color_appworkspace 
						#-win32 :darkslategray)
(color:define-color-alias :color_btntext	#+win32 'win32:color_btntext
						#-win32 :black)
(color:define-color-alias :color_graytext	#+win32 win32:color_graytext
						#-win32 :gray)
(color:define-color-alias :color_highlight	#+win32 'win32:color_highlight
                                                #-win32 :cyan)
(color:define-color-alias :color_window		#+win32 'win32:color_window
						#-win32 :white)
(color:define-color-alias :color_windowtext	#+win32 'win32:color_windowtext
						#-win32 :black)

;(color:get-color-spec :color_window)
;(color:get-color-translation :color_window)
;(color:get-color-alias-translation :color_window)
